add_repositories("local_repo F:\\xmake.repo")
add_rules("mode.debug", "mode.release")
set_arch("x64")
set_languages("cxx20")
set_project("imgui-node-editor")
set_toolchains("clang")

add_requires("imgui", "glfw", "dxsdk11")
add_requires("imgui-node-editor")

includes("examples/**.lua")

--xmake project -k vsxmake2022 -a x64
--xmake project -k vsxmake2022 -m "debug;release"